## org.jboss.verifier.strategy
Interface VerificationContext

All Superinterfaces:
  org.gjt.lindfors.util.EventGenerator, org.gjt.lindfors.pattern.StrategyContext, VerificationEventGenerator

All Known Implementing Classes:
  BeanVerifier

public interface VerificationContext
extends org.gjt.lindfors.pattern.StrategyContext, VerificationEventGenerator

<< DESCRIBE THE CLASS HERE >> For more detailed documentation, refer to the >

Since:
  JDK 1.3
Version:
  $Revision: 1.6 $
Author:
  Juha Lindfors
See Also:
  << OTHER RELATED CLASSES >>

Field Summary
`static java.lang.String` `VERSION_1_1`
`static java.lang.String` `VERSION_2_0`

Method Summary
`ApplicationMetaData` `getApplicationMetaData()`
`java.lang.ClassLoader` `getClassLoader()`
`java.lang.String` `getEJBVersion()`
`java.net.URL` `getJarLocation()`

Methods inherited from interface org.jboss.verifier.event.VerificationEventGenerator
`addVerificationListener, fireBeanChecked, fireSpecViolation, removeVerificationListener`

Field Detail

### VERSION_1_1

    public static final java.lang.String VERSION_1_1

### VERSION_2_0

    public static final java.lang.String VERSION_2_0

Method Detail

### getApplicationMetaData

    public ApplicationMetaData getApplicationMetaData()

### getJarLocation

    public java.net.URL getJarLocation()

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

### getEJBVersion

    public java.lang.String getEJBVersion()

Copyright © 2000 The JBoss Organization. All Rights Reserved.